path: /build/build/upx-bin-app-arch-4.2.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-arch/upx-bin -pv -t && \
    emerge -j ${JOBS} --nodeps app-arch/upx-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/upx-bin && luet-portage --dir /pkgdir/upx-bin
    app-arch/upx-bin && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:59e54e5a679422aa0a3611d2ae6dc8b512d20dae1e0b650c4babcefd0391b5d0
  package:
    name: upx-bin
    version: 4.2.3
    category: app-arch
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Ultimate Packer for eXecutables, binary version with proprietary
      NRV compression
    uri:
    - http://upx.sourceforge.net/
    license: GPL-2
    buildtimestamp: 2024-04-19 12:49:57.757490559 +0000 UTC m=+104.521599085
    labels:
      IUSE: doc
      RDEPEND: '!app-arch/upx-ucl'
      emerge.packages: app-arch/upx-bin
      kit: dev-kit
      original.package.name: app-arch/upx-bin
      original.package.slot: "0"
      original.package.version: 4.2.3
    treedir: /build/packages
  package_dir: /pkgdir/upx-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f509b80d6452063791b7aa34a53d8d5079a7a6b7d58f67bb31f22b8285c796f2
compressiontype: zstd
files:
- usr/bin/upx
- usr/share/doc/upx-bin-4.2.3/NEWS.bz2
- usr/share/doc/upx-bin-4.2.3/README.bz2
- usr/share/man/man1/upx.1.bz2
- var/db/pkg/app-arch/upx-bin-4.2.3/BUILD_TIME
- var/db/pkg/app-arch/upx-bin-4.2.3/CATEGORY
- var/db/pkg/app-arch/upx-bin-4.2.3/CBUILD
- var/db/pkg/app-arch/upx-bin-4.2.3/CFLAGS
- var/db/pkg/app-arch/upx-bin-4.2.3/CHOST
- var/db/pkg/app-arch/upx-bin-4.2.3/CONTENTS
- var/db/pkg/app-arch/upx-bin-4.2.3/COUNTER
- var/db/pkg/app-arch/upx-bin-4.2.3/CXXFLAGS
- var/db/pkg/app-arch/upx-bin-4.2.3/DEFINED_PHASES
- var/db/pkg/app-arch/upx-bin-4.2.3/DESCRIPTION
- var/db/pkg/app-arch/upx-bin-4.2.3/EAPI
- var/db/pkg/app-arch/upx-bin-4.2.3/FEATURES
- var/db/pkg/app-arch/upx-bin-4.2.3/HOMEPAGE
- var/db/pkg/app-arch/upx-bin-4.2.3/INHERITED
- var/db/pkg/app-arch/upx-bin-4.2.3/IUSE
- var/db/pkg/app-arch/upx-bin-4.2.3/IUSE_EFFECTIVE
- var/db/pkg/app-arch/upx-bin-4.2.3/KEYWORDS
- var/db/pkg/app-arch/upx-bin-4.2.3/LDFLAGS
- var/db/pkg/app-arch/upx-bin-4.2.3/LICENSE
- var/db/pkg/app-arch/upx-bin-4.2.3/NEEDED
- var/db/pkg/app-arch/upx-bin-4.2.3/PF
- var/db/pkg/app-arch/upx-bin-4.2.3/RDEPEND
- var/db/pkg/app-arch/upx-bin-4.2.3/RESTRICT
- var/db/pkg/app-arch/upx-bin-4.2.3/SIZE
- var/db/pkg/app-arch/upx-bin-4.2.3/SLOT
- var/db/pkg/app-arch/upx-bin-4.2.3/USE
- var/db/pkg/app-arch/upx-bin-4.2.3/environment.bz2
- var/db/pkg/app-arch/upx-bin-4.2.3/repository
- var/db/pkg/app-arch/upx-bin-4.2.3/upx-bin-4.2.3.ebuild
package_cacheimage: ""
runtime:
  name: upx-bin
  version: 4.2.3
  category: app-arch
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Ultimate Packer for eXecutables, binary version with proprietary NRV
    compression
  uri:
  - http://upx.sourceforge.net/
  license: GPL-2
  labels:
    IUSE: doc
    RDEPEND: '!app-arch/upx-ucl'
    emerge.packages: app-arch/upx-bin
    kit: dev-kit
    original.package.name: app-arch/upx-bin
    original.package.slot: "0"
    original.package.version: 4.2.3
